Subject: bug#57728: 29.0.50; Emacs writes wrong glyph at the bottom-right corner of text terminals

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 11 Sep 2022 12:54:49 +0200

Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <[email-masked]> writes:

> Emacs often writes to the last character possibly by mistake.  To
> reproduce, run emacs -Q, hit M-: (eval-expression), write some garbage
> until the minibuffer window scrolls (I used (+ (% (random) 26) ?a) to
> generate the garbage), and hit C-p until you scroll down a line.

I'm not sure what you mean by "I used (+ (% (random) 26) ?a)".  Do you
have a step-by-step recipe to reproduce the problem?

> You should now see that the last character cell contains a
> continuation ('\') glyph.  I think this is probably due to the use of
> any of 'il' or 'il1' or 'rin' terminal capabilities.

If you type in something that's longer than a line, Emacs will display a
\ glyph, no matter whether it's in the minibuffer or not, so I don't
understand what you mean here.